Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class Configuration

    java.lang.Object
      fr.jayasoft.ivy.Configuration

public class Configuration
extends java.lang.Object

Represents a module configuration

Nested Class Summary
`static class` | `Configuration.Visibility`

Constructor Summary
`Configuration(java.lang.String name)`
`Configuration(java.lang.String name, Configuration.Visibility visibility, java.lang.String description, java.lang.String[] ext)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDescription()`
`java.lang.String[]` | `getExtends()`
`java.lang.String` | `getName()`
`Configuration.Visibility` | `getVisibility()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration(java.lang.String name,
                         Configuration.Visibility visibility,
                         java.lang.String description,
                         java.lang.String[] ext)

Parameters:
  `name` -
  `visibility` -
  `description` -
  `ext` -

### Configuration

    public Configuration(java.lang.String name)

Parameters:
  `name` -

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description. It may be null.

### getExtends

    public java.lang.String[] getExtends()

  Returns:
    Returns the extends. May be empty, but never null.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name. Never null;

### getVisibility

    public Configuration.Visibility getVisibility()

  Returns:
    Returns the visibility. Never null.

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD